Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout2
Class LoaderTuplesNodes

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.layout2.LoaderTuplesNodes

All Implemented Interfaces:
  StoreLoader, StoreLoaderPlus

    public class LoaderTuplesNodes

extends SDBConnectionHolder
implements StoreLoaderPlus

Constructor Summary
`LoaderTuplesNodes(SDBConnection connection, Class<? extends TupleLoader> tupleLoaderClass)`

Method Summary
`void` | `addQuad(com.hp.hpl.jena.graph.Node g, com.hp.hpl.jena.graph.Node s, com.hp.hpl.jena.graph.Node p, com.hp.hpl.jena.graph.Node o)`
`void` | `addTriple(com.hp.hpl.jena.graph.Triple triple)`
`void` | `addTuple(TableDesc t, com.hp.hpl.jena.graph.Node... nodes)`
`void` | `close()` Close this loader and finish the thread (if required)
`void` | `deleteAll()`
`void` | `deleteAll(com.hp.hpl.jena.graph.Node graph)`
`void` | `deleteQuad(com.hp.hpl.jena.graph.Node g, com.hp.hpl.jena.graph.Node s, com.hp.hpl.jena.graph.Node p, com.hp.hpl.jena.graph.Node o)`
`void` | `deleteTriple(com.hp.hpl.jena.graph.Triple triple)`
`void` | `deleteTuple(TableDesc t, com.hp.hpl.jena.graph.Node... nodes)`
`void` | `finishBulkUpdate()`
`int` | `getChunkSize()`
`boolean` | `getUseThreading()`
`void` | `setChunkSize(int chunkSize)`
`void` | `setStore(Store store)`
`void` | `setUseThreading(boolean useThreading)`
`void` | `startBulkUpdate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoaderTuplesNodes

    public LoaderTuplesNodes(SDBConnection connection,
                             Class<? extends TupleLoader> tupleLoaderClass)

Method Detail

### setStore

    public void setStore(Store store)

### startBulkUpdate

    public void startBulkUpdate()

  Specified by:
    `startBulkUpdate` in interface `StoreLoader`

### finishBulkUpdate

    public void finishBulkUpdate()

  Specified by:
    `finishBulkUpdate` in interface `StoreLoader`

### close

    public void close()

  Close this loader and finish the thread (if required)

  Specified by:
    `close` in interface `StoreLoader`

### addTriple

    public void addTriple(com.hp.hpl.jena.graph.Triple triple)

  Specified by:
    `addTriple` in interface `StoreLoader`

### deleteTriple

    public void deleteTriple(com.hp.hpl.jena.graph.Triple triple)

  Specified by:
    `deleteTriple` in interface `StoreLoader`

### addQuad

    public void addQuad(com.hp.hpl.jena.graph.Node g,
                        com.hp.hpl.jena.graph.Node s,
                        com.hp.hpl.jena.graph.Node p,
                        com.hp.hpl.jena.graph.Node o)

  Specified by:
    `addQuad` in interface `StoreLoaderPlus`

### addTuple

    public void addTuple(TableDesc t,
                         com.hp.hpl.jena.graph.Node... nodes)

  Specified by:
    `addTuple` in interface `StoreLoaderPlus`

### deleteQuad

    public void deleteQuad(com.hp.hpl.jena.graph.Node g,
                           com.hp.hpl.jena.graph.Node s,
                           com.hp.hpl.jena.graph.Node p,
                           com.hp.hpl.jena.graph.Node o)

  Specified by:
    `deleteQuad` in interface `StoreLoaderPlus`

### deleteTuple

    public void deleteTuple(TableDesc t,
                            com.hp.hpl.jena.graph.Node... nodes)

  Specified by:
    `deleteTuple` in interface `StoreLoaderPlus`

### deleteAll

    public void deleteAll()

  Specified by:
    `deleteAll` in interface `StoreLoader`

### deleteAll

    public void deleteAll(com.hp.hpl.jena.graph.Node graph)

  Specified by:
    `deleteAll` in interface `StoreLoaderPlus`

### setChunkSize

    public void setChunkSize(int chunkSize)

  Specified by:
    `setChunkSize` in interface `StoreLoader`

### getChunkSize

    public int getChunkSize()

  Specified by:
    `getChunkSize` in interface `StoreLoader`

### setUseThreading

    public void setUseThreading(boolean useThreading)

  Specified by:
    `setUseThreading` in interface `StoreLoader`

### getUseThreading

    public boolean getUseThreading()

  Specified by:
    `getUseThreading` in interface `StoreLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.